### Virtual Method

# Camel FolderSummary next_uid_string

#### Declaration [src]

    gchar*
    next_uid_string (
      CamelFolderSummary* summary
    )

#### Description [src]

Retrieve the next uid, but as a formatted string.

#### Return value

Type: `gchar*`

The next uid as an unsigned integer string. This string must be freed by the caller.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.